Subject: Re: [PATCH 1/5] [POWERPC] cpm2: CPM2 interrupt controller fix

From: Vitaly Bordug <[email-masked]>
Date: Wed, 24 Jan 2007 16:05:44 +0300

On Wed, 24 Jan 2007 21:07:09 +1100
Paul Mackerras wrote:

> I just tried to compile up the ads8272_defconfig with ARCH=ppc, since
> that was the only obviously 8272-based config in arch/ppc/configs.
> However, arch/ppc/platforms/mpc8272ads_setup.c fails to compile
> because of things like this in it (line 106):
That default config is just odd, as I have noticed while testing.
It still configured to use obsoleted stuff in 8260_io/ for network. 

Yet that does not address the problem below.

> 
> static void init_fcc1_ioports(struct fs_platform_info*)
> {
> ...
> }
> 
> That is, it's a function definition (not declaration) with the
> parameter name missing, which gcc rejects with an error.  Gitk tells
> me it's been like this since September.
> 
> Is there any 8272-based config that actually still compiles with
> ARCH=ppc?
>

No, there are not. 8272 haven't got a lot of attention in ppc realm. There are also some additional issues caused by say
PHY layer update, etc. The patch that fixes all is ready though - I'll give it a try today and send to the list later today.

--
Thanks, 
Vitaly